# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_xrobocopy`](#dsc_xrobocopy): The DSC xRobocopy resource type. Automatically generated from version 1.2.0.0

## Resource types

### `dsc_xrobocopy`

The DSC xRobocopy resource type.
Automatically generated from version 1.2.0.0

#### Properties

The following properties are available in the `dsc_xrobocopy` type.

##### `dsc_additionalargs`

Data type: `Optional[String]`

Robocopy has MANY configuration options.  Too many to present them all as DSC parameters effectively. Use this option to set additional parameters.  The string will be appended to the arguements list.  For a list of options run Robocopy /??? in a shell window.

##### `dsc_appendlog`

Data type: `Optional[Boolean]`

Determine whether to overwrite log file or append.

##### `dsc_excludefiles`

Data type: `Optional[String]`

Exclude Files matching given names/paths/wildcards.

##### `dsc_files`

Data type: `Optional[String]`

File(s) to copy  (names/wildcards: default is all files).

##### `dsc_logoutput`

Data type: `Optional[String]`

Output status to LOG file.

##### `dsc_multithreaded`

Data type: `Optional[Boolean]`

Do multi-threaded copies with n threads (default 8). N must be at least 1 and not greater than 128. This option is incompatible with the /IPG and /EFSRAW options. Redirect output using /LOG option for better performance.

##### `dsc_restartable`

Data type: `Optional[Boolean]`

Copy files in restartable mode.

##### `dsc_retry`

Data type: `Optional[Integer[0, 4294967295]]`

Number of Retries on failed copies: default 1 million.

##### `dsc_subdirectoriesincludingempty`

Data type: `Optional[Boolean]`

Copy subdirectories, including Empty ones.

##### `dsc_wait`

Data type: `Optional[Integer[0, 4294967295]]`

Wait time between retries: default is 30 seconds.

#### Parameters

The following parameters are available in the `dsc_xrobocopy` type.

##### `dsc_destination`

namevar

Data type: `String`

Destination Dir, Drive or UNC path.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_source`

namevar

Data type: `String`

Source Directory, Drive or UNC path.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

